Skip to main content
GET
/
v1
/
links
/
{link_id}
/
tax
List all tax documents
curl --request GET \
  --url https://prod.truv.com/v1/links/{link_id}/tax/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
[
  {
    "document_type": "W2",
    "id": "24d7e80942ce4ad58a93f70ce4115f5c",
    "document_subtype": "F1099_DIV",
    "file": "https://cdn.truv.com/files_examples/w2.pdf",
    "md5sum": "24d7e80942ce4ad58a93f70ce4115f5c",
    "year": 2022
  }
]

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

Link ID

Response

document_type
enum<string>
required
read-only

Tax document type

Available options:
W2,
F1099,
F1040
Example:

"W2"

id
string
read-only

Tax document ID

Example:

"24d7e80942ce4ad58a93f70ce4115f5c"

document_subtype
enum<string> | null
read-only

Tax document subtype

Available options:
F1099_DIV,
F1099_G,
F1099_INT,
F1099_MISC,
F1099_NEC,
F1099_R,
F_SSA1099,
null
file
string<uri>
read-only

Tax document file link

Example:

"https://cdn.truv.com/files_examples/w2.pdf"

md5sum
string
read-only

Tax document md5sum

Example:

"24d7e80942ce4ad58a93f70ce4115f5c"

year
integer
read-only

Tax document year

Example:

2022